gtk.ToolShell
Prev | The gtk Class Reference | Next

## gtk.ToolShell

gtk.ToolShell — Interface for containers containing GtkToolItem widgets.

## Synopsis

    class gtk.ToolShell(gobject.GInterface):
        def get_icon_size()
        def get_orientation()
        def get_relief_style()
        def get_style()
        def rebuild_menu()

## Ancestry

    +-- gobject.GInterface
      +-- gtk.ToolShell

## Known Implementation

`gtk.ToolShell` is implementated by `gtk.ToolBar`, `gtk.ToolItemGroup`

## Description

The `gtk.ToolShell` interface allows container widgets to provide additional information when embedding GtkToolItem widgets. see_also: `gtk.ToolBar`, `gtk.ToolItem`

## Methods

### gtk.ToolShell.get_icon_size

        def get_icon_size()

Returns : | The current size for icons of shell.

### Note

This method is available in PyGTK 2.14 and above.

The `get_icon_size`() method retrieves the icon size for the tool shell. Tool items must not call this function directly, but rely on `gtk.ToolItem.get_icon_size`() instead.

### gtk.ToolShell.get_orientation

        def get_orientation()

Returns : | The current orientation of shell.

### Note

This method is available in PyGTK 2.14 and above.

The `get_orientation`() method retrieves the current orientation for the tool shell. Tool items must not call this function directly, but rely on `gtk.ToolItem.get_orientation`() instead.

### gtk.ToolShell.get_relief_style

        def get_relief_style()

Returns : | The relief style of buttons on shell.

### Note

This method is available in PyGTK 2.14 and above.

The `get_relief_style`() method returns the relief style of buttons on shell. Tool items must not call this function directly, but rely on `gtk.ToolItem.get_relief_style`() instead.

### gtk.ToolShell.get_style

        def get_style()

Returns : | The current style of shell.

### Note

This method is available in PyGTK 2.14 and above.

The `get_style`() method retrieves whether the tool shell has text, icons, or both. Tool items must not call this function directly, but rely on `gtk.ToolItem.get_style`() instead.

### gtk.ToolShell.rebuild_menu

        def rebuild_menu()

Returns : |

### Note

This method is available in PyGTK 2.14 and above.

The `rebuild_menu`() method calling this function signals the tool shell that the overflow menu item for tool items have changed. If there is an overflow menu and if it is visible when this function it called, the menu will be rebuilt. Tool items must not call this function directly, but rely on `gtk.ToolItem.get_relief_style`() instead.

Prev | Up | Next
gtk.ToolPalette | Home | gtk.Tooltip